speech-tools (1:2.5.0-9) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957831).
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:40:31 +0200

speech-tools (1:2.5.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1:1.2.96~beta-1, 1:1.2.3-5,
    1:1.2.3-4, 1:1.2.3-3, 1:1.2.3-2, 1:1.2.3-1, 1:1.2.3-0.1, 1:1.2.2-
    2.2.
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * patches/datadir_fhs.diff: Fix path to /usr/share and /usr/lib.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:27:48 +0100

speech-tools (1:2.5.0-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/control: Use @builddeps@ instead of copying them.
  * watch: Generalize pattern.
  * rules: Run tests through dh_auto_test, but disable parallel build, which
    fails. (Closes: #941630)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:52:21 +0100

speech-tools (1:2.5.0-6) unstable; urgency=medium

  [ Sergio Oller ]
  * Update canonical Vcs-Git and Vcs-Browser
  * Fix missing OpenMP symbols in libestools
  * Replace bundled debian/dh_doxygen with the equivalent debhelper
    provided by the doxygen package.

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * rules: Run tests.
  * patches/test_failure: Really detect test failure.
  * patches/more-lintian-spelling.patch: Fix spelling of test result too.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:39:13 +0200

speech-tools (1:2.5.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).

  [ Adrian Bunk ]
  * Fix updating config.{guess,sub}. (Closes: #898016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Aug 2018 20:56:41 +0200

speech-tools (1:2.5.0-4) unstable; urgency=medium

  * Fix another FTBFS and missing documentation by also building the
    binary files on arch:all (Closes: #887920)

 -- Paul Gevers <elbrus@debian.org>  Sun, 21 Jan 2018 21:57:13 +0100

speech-tools (1:2.5.0-3) unstable; urgency=medium

  * Fix FTBFS by making some build targets arch / indep specific

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 20:56:49 +0100

speech-tools (1:2.5.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add --as-needed to the linker flags to prevent multiple unneeded
    dependencies

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 19:37:30 +0100

speech-tools (1:2.5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #886994)
  * Target experimental to clear the NEW queue and get an auto transition
    tracker
  * Refresh patches
  * Bump Standards version to 4.1.3
  * Bump debhelper compat level to 11 (and Rules-Requires-Root: no)
  * Drop some obsolete conflict/replaces and Build-Depends
  * Major revamp of packaging, leverage short dh usage by moving logic
    from d/rules to helper files
  * Add more-lintian-spelling.patch and typos in man pages (Thanks lintian)
  * Drop d/p/gcc-6 as we pass C++ flags in d/rules
  * Add myself to the uploaders

 -- Paul Gevers <elbrus@debian.org>  Tue, 16 Jan 2018 21:47:23 +0100

speech-tools (1:2.4~release-7) unstable; urgency=medium

  [ Paul Gevers ]
  * Drop override_dh_shlibsdeps target. It didn't do anything since it's
    introduction due to a typo and apparently isn't needed anymore
    (Closes: #834663)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CC and CXX to make. (Closes: Bug#885697)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:41:34 +0100

speech-tools (1:2.4~release-6) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Remove libaudiofile-dev build-dependency, now
    unused. Closes: Bug#857667
  * patches/gcc-6: Do not hardcode gcc version. Closes: Bug#871089
  * control: Bump Standards-Version to 4.1.1 (no change)
  * rules: Remove reference to former -dbg packages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:34:44 +0200

speech-tools (1:2.4~release-5) unstable; urgency=medium

  * patches/timestamp: Really fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Oct 2016 20:21:34 +0200

speech-tools (1:2.4~release-4) unstable; urgency=medium

  * patches/timestamp: Fix reproducibility by forcing C locale date.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Oct 2016 14:31:09 +0200

speech-tools (1:2.4~release-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/gcc-6: Add -fno-delete-null-pointer-checks option since
    speech-tools assumes 'this' can be NULL.

  [ Chris Lamb ]
  * patches/timestamp: Fix reproducible build. Closes: Bug#831583

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 19:00:30 +0200

speech-tools (1:2.4~release-2) unstable; urgency=medium

  * control: Remove conflict/replace libestools1.2c102, speech-tools1: the
    latter has never been in Debian, the former does not actually conflict
    with the current package.
  * control: Drop multiarch-support pre-depend.
  * rules: Split override_dh_auto_install into override_dh_auto_install-arch
    and override_dh_auto_install-indep. Closes: #806110
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * patches/timestamp: Use SOURCE_DATE_EPOCH for build timestamp.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * rules: Pass -n to gzip to avoid timestamp in gzipped manual.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:10:56 +0100

speech-tools (1:2.4~release-1) unstable; urgency=medium

  [ Sergio Oller ]
  * New upstream version 2.4-release
    - Rename libestools2.1 into 2.4 accordingly.
    - Rename libestools2.1-dev into libestools-dev.
  * Removed README.source (Not needed)

  [ Samuel Thibault ]
  * control: Set maintainer to debian-accessibility team.  Add myself as
    uploader.
  * watch: Generalize URL.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 18:09:43 +0200

speech-tools (1:2.1~release-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.

  [ Sergio Oller ]
  * Use dh with debian/compat=9 for hardening
     - Drop Build-depends: hardening-wrapper
     - Honor CFLAGS, CXXFLAGS, LDFLAGS
     - Use dh --with autoreconf
  * Add patch wrong-default-declaration.diff by Alexander to be able to
    build with clang. Closes: #756335

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 02:21:54 +0200

speech-tools (1:2.1~release-7) unstable; urgency=low

  [ Samuel Thibault ]
  * Team upload.
  * rules: Remove config/config on clean.
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/doc-doc.diff: Fix build when libestools is not installed yet.
  * rules: Do not install refman.pdf, it does not build.

  [ Sergio Oller ]
  * EST_Tokenstream: Add support to read from istream to reduce
    Festival HTS disk input/output usage.
  * Add several methods to EST_WaveFile and EST_Wave to write waves
    by parts (header and data separately) in order improve text2wave
    performance in festival package on long texts.
  * rules: dh_auto_clean must depend on dh_auto_configure to clean safely.
  * Check fread worked when loading files: (Closes: #715728, #716618,
    #716578, #716193, #716464)
  * Build -dbg packages.
  * Build speech-tools-doc package.
  * Allow "-pc LONGEST" in ch_wave. (LP: #723854)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Apr 2014 02:44:41 +0200

speech-tools (1:2.1~release-6) unstable; urgency=low

  [ Peter Drysdale ]
  * gcc 4.8 compliance a by-product of EsounD removal. (Closes: #701362)
  * Add patch to enable compiling of with clang 3.0.
  * Stop clobbering compiler/ld flags in festival build, it is not polite.
  * Remove support for EsounD which has been deprecated by Gnome
  * Fix Lintian flagged spelling error.
  * Add missing dependency on libaudiofile-dev. Thanks
    to Alessio Treglia.  (Closes: #657603)

  [ Sergio Oller ]
  * Add patch to enable native PulseAudio support. Original implementation by
    Matthias Clasen.
  * Add patch to enable native ALSA support. (Closes: #638394)
  * Original work on release-5 bug fast-tracked to wheezy.

 -- Peter Drysdale <drysdalepete@gmail.com>  Sat, 04 May 2013 09:40:22 +1000

speech-tools (1:2.1~release-5) unstable; urgency=low

  * Add Conflicts libestools2.0-dev, libestools1.2-dev
    to ensure smooth upgrades (closes: #694059)

 -- Peter Drysdale <drysdalepete@gmail.com>  Mon, 14 Jan 2013 20:22:52 +1000

speech-tools (1:2.1~release-4) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set libestools2.1 multi-arch: same.
  * rules: Install libraries to multi-arch path.

  [ Peter Drysdale ]
  * Add Pre-Depend on multiarch-support as flagged by lintian
  * Add qualification to unqualified method calls in templates
    allowing compiling with gcc>=4.7.
  * Remove old compiler switch fno-shared-data which is not present
    after gcc>=4.0.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2012 00:05:28 +0200

speech-tools (1:2.1~release-3) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * patches/fmt.diff: Fix format security issue.

  [ Peter Drysdale ]
  * compat: bump to debhelper 8
  * Move to dh style minimum format for rules.
  * Move to source format 3.0 quilt.
  * Refresh contexts, clean up some patches, and del. obs. uncompiled patches
  * Provide individual patch headers and remove misleading
    uniform headers about patching for GCC (Closes: #616341)
  * Clean build system and drop obsolete compiler patches.

 -- Peter Drysdale <drysdalepete@gmail.com>  Tue, 13 Dec 2011 17:22:52 +1000

speech-tools (1:2.1~release-2.1) unstable; urgency=low

  * New maintainer (closes: #637820)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Tue, 16 Aug 2011 02:19:25 +0200

speech-tools (1:2.1~release-2) unstable; urgency=low

  * Make libestools2.1-dev provide libestools2.0-dev, so that binNMUs can
    be facilitated.
  * Add missing copyright entries.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 24 Feb 2011 09:57:35 -0600

speech-tools (1:2.1~release-1) unstable; urgency=low

  * New upstream release
  * Bump soname; shlibs etc. updated
  * Update patches and rules file to handle symlinks with just x.y
    versioning as opposed to x.y.z by appropriately ignoring the absence
    of the minor version number. Also fix major version detection in
    debian/get_version.sh.
  * Update watch file to handle "release" in version number

 -- Kumar Appaiah <akumar@debian.org>  Wed, 16 Feb 2011 20:53:04 -0600

speech-tools (1:2.0.95~beta-2) unstable; urgency=low

  * Update speech_class_EST_WaveFile.cc.diff to fix audsp related
    crashes. (Closes: #601294)
  * Update Standards Version to 3.9.1 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 24 Oct 2010 19:02:37 -0500

speech-tools (1:2.0.95~beta-1) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/control:
    + [Lintian] Added missing ${misc:Depends}
    + Updated Standards-Version to 3.8.4 (no changes needed)
  * debian/patches/const_char.diff:
    + Added missing patch header
  * Removed unused patch invalid_const_char_conversion_fixes.diff

  [ Kumar Appaiah ]
  * New upstream release.
  * Standards Version is now 3.9.0 (No changes needed)
  * Update debian/rules to specify version numbers.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 17 Jul 2010 11:32:04 -0500

speech-tools (1:1.2.96~beta-6) unstable; urgency=low

  [ Kartik Mistry ]
  * debian/patches/invalid_const_char_conversion_fixes.diff:
    + Added patch to fix invalid_const_char_conversion_fixes.diff, Thanks to
      Ilya Barygin <barygin@gmail.com> (Closes: #548521)
  * debian/control:
    + Don't Recommends speech-tools, use Suggests instead to not pull unwanted
    speech-tools-doc package while installing -dev package

  [ Kumar Appaiah ]
  * Fix build system to avoid unresolved symbols, so that the build is
    possible with binutils-gold. Thanks to Peter Fritzsche for his help
    with this. (Closes: #558964)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 05 Dec 2009 08:59:30 -0600

speech-tools (1:1.2.96~beta-5) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.3
    + [Lintian] Removed duplicate section for speech-tools binary
    + [Lintian] Updated package descriptions
    + Wrapped up Depends and Build-Depends
  * Added debian/README.source file
  * debian/*.1:
    + [Lintian] Fixed manpage warnings of undefined .P
  * debian/patches/include_EST_ChannelType.diff:
    + Added missing patch description

 -- Kartik Mistry <kartik@debian.org>  Fri, 18 Sep 2009 10:40:22 +0530

speech-tools (1:1.2.96~beta-4) unstable; urgency=low

  * debian/rules:
    + Move pm Perl script to simple-pitchmark to avoid
      using /usr/bin/pm as the executable name. (Closes: #520445)
  * debian/README.Debian: Explain pm renaming.
  * debian/manpage.1: Provide correct location of documentation.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 28 Mar 2009 09:58:45 -0500

speech-tools (1:1.2.96~beta-3) unstable; urgency=low

  * Add common description for all patches.
  * debian/patches/include_EST_ChannelType.diff:
    + Added to introduce parentheses around macro
      EST_CoefChannelId to avoid compiler warnings.
  * debian/patches/utils_EST_cutils.c.diff:
    + Update using Milan Zamazal's patch to honour $TMPDIR.
  * debian/control:
    + Standards Version is now 3.8.0 (no changes needed).
    + Maintainers' addresses changed to debian.org addresses.
  * debian/rules:
    + Add patch from Petr Salinger to allow building on
      Debian GNU/kFreeBSD. (Closes: #497923)
    + For now, don't add the placeholder man page for pm to
      avoid pm.1 conflict with powerman package.
      (Closes: #520001)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 21 Feb 2009 14:28:22 -0600

speech-tools (1:1.2.96~beta-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Add Vcs-Git and Vcs-Browser fields
    + Removed XS-Dm-Upload-Allowed field
    + Updated Homepage field
  * debian/patches:
    + Removed deprecated four clause BSD license using
      copyright_4clausefix.diff.
    + Add gcc_43_include.diff to fix FTBFS on GCC 4.3.
      Thanks to Martin Michlmayr for the heads up.
      (Closes: #455320)

  [ Kartik Mistry ]
  * debian/watch:
    + Updated to get latest upstream release (Closes: #456469)
  * debian/copyright:
    + Updated download location
    + Corrected copyright year
  * debian/control:
    + Updated description for libestools1.2-dev package as it doesn't
      contains docs anymore
    + Updated Standards-Version to 3.7.3

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 17 Dec 2007 08:22:55 +0530

speech-tools (1:1.2.96~beta-1) unstable; urgency=low

  [Kumar Appaiah]
  * Long awaited new upstream version (Closes: #437682)
  * debian/patches:
    + Split all patches, and use quilt for patch management
    + Use latest config.guess, config.sub
  * Minor manpage description fix
  * debian/rules:
    + Fix old autoconf files, using autotools-dev
    + Find versions using debian/get_versions.sh, instead of hard coding

  [Kartik Mistry]
  * Added debian/watch file from Kumar
  * debian/control:
    + Added homepage entry
    + Added Kumar Appaiah as co-maintainer list
    + Added XS-Dm-Upload-Allowed: yes to allow Debian-Maintainer upload
  * debian/copyright: moved copyright out of license section
  * debian/manpage.1: fixed lintian warning
  * debian/rules: includes base_class/*.cc which is badly needed for
    festival compilation

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 19 Nov 2007 17:39:39 +0530

speech-tools (1:1.2.3-11) unstable; urgency=low

  * debian/control: fixed lintian warning by replacing dependency
    ${Source-Version} with ${binary:Version} for arch any package
  * debian/rules: minor cleanups

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 17 Jul 2007 00:51:10 +0530

speech-tools (1:1.2.3-10) unstable; urgency=low

  * New maintainer (Closes: #429472)
  * Updated standards-version to 3.7.2
  * Updated debhelper compability to 5
  * debian/control: fixed long descriptions, minor cleanups, added
    ${misc:Depends}
  * debian/copyright: updated according to standard format
  * Removed useless maintainer scripts
  * Acknowledge previous NMUs (Closes: #357656, #343022)
  * libestools1.2-dev depends on libesd0-dev, libncurses5-dev (Closes: #420536)
  * config/gcc_defaults.mak: Fixed FTBFS with GCC 4.2 due to unsupported
    -fno-shared-data (Closes: #369380)
  * siod/slib.cc: Fixed issue with libestools1.2 's dynamic loading, Thanks to Javier
    Serrano Polo <jasp00@terra.es> for patch (Closes: #407664)
  * debian/rules: fixed bashism (Closes: #378527)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Thu, 21 Jun 2007 14:30:02 +0530

speech-tools (1:1.2.3-9.4) unstable; urgency=low

  * Rebuild using g++-4.1.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 14:00:13 +0000

speech-tools (1:1.2.3-9.3) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Declare friend functions (closes: #357656).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 17:12:18 +0200

speech-tools (1:1.2.3-9.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS on 64 bit arches  (Closes: #346264)

 -- Luk Claes <luk@debian.org>  Sat,  7 Jan 2006 19:16:21 +0100

speech-tools (1:1.2.3-9.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove trailing slash in cp -R command (Closes: #340084).
  * Remove g++-3.4 build-dep (Closes: #343022).

 -- Luk Claes <luk@debian.org>  Sun,  1 Jan 2006 18:56:06 +0100

speech-tools (1:1.2.3-9) unstable; urgency=low

  * Synchronize package from Ubuntu.
  * Fix FTBFS on kfreebsd-gnu (closes: #272465).

 -- Matthias Klose <doko@debian.org>  Tue,  2 Aug 2005 11:52:44 +0200

speech-tools (1:1.2.3-8ubuntu2) breezy; urgency=low

  * Add build dependency on g++-3.4.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 May 2005 23:29:15 +0200

speech-tools (1:1.2.3-8ubuntu1) breezy; urgency=low

  * CXX transition: Rename libestools1.2c102 to libestools1.2.
  * Fix FTBFS with gcc-3.4 (closes: #274556). Ubuntu 9049.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 May 2005 21:00:06 +0000

speech-tools (1:1.2.3-8) unstable; urgency=low

  * Added alaw processing code.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 16 Jul 2004 09:25:39 +0200

speech-tools (1:1.2.3-7) unstable; urgency=low

  * set SHARED=2 in config.in
    - required to build a shared Festival library

 -- Matthias Urlichs <smurf@debian.org>  Thu, 29 Apr 2004 08:07:31 +0200

speech-tools (1:1.2.3-6) unstable; urgency=medium

  * Updated Maintainer adress to @d.o (pre-Sarge)
  * Standards-Version: 3.6.1 (no changes)

 -- Matthias Urlichs <smurf@debian.org>  Mon,  5 Apr 2004 11:58:15 +0200

speech-tools (1:1.2.3-5) unstable; urgency=low

  * Provide for arch-indep data/script directory (/usr/share/...).

 -- Matthias Urlichs <smurf@noris.de>  Wed, 28 May 2003 05:31:16 +0200

speech-tools (1:1.2.3-4) unstable; urgency=low

  * debian/rules
    Set debhelper compatibility level to 4
    Fixed shared library handling
    Added ldconfig call to postrm

 -- Matthias Urlichs <smurf@noris.de>  Sun, 18 May 2003 18:12:04 +0200

speech-tools (1:1.2.3-3) unstable; urgency=low

  * Explicitly cast EST_Token to EST_String

 -- Matthias Urlichs <smurf@noris.de>  Sun, 18 May 2003 16:03:39 +0200

speech-tools (1:1.2.3-2) unstable; urgency=low

  * Install "undocumented" manpage
  * Suggest documentation in control file

 -- Matthias Urlichs <smurf@noris.de>  Sat, 19 Apr 2003 20:45:21 +0200

speech-tools (1:1.2.3-1) unstable; urgency=low

  * New maintainer.
  * Bugs in (not uploaded) NMU / see earlier changelog entries:
    closes: #179490, #186268, #95886

 -- Matthias Urlichs <smurf@noris.de>  Fri, 18 Apr 2003 16:51:52 +0200

speech-tools (1:1.2.3-0.1) unstable; urgency=low

  * NMU.
  * New upstream version, corresponding to new Festival update,
    necessary for closing #179490.
  * Hopefully closes: #186268, #95886.

 -- Matthias Urlichs <smurf@noris.de>  Fri, 18 Apr 2003 16:03:32 +0200

speech-tools (1:1.2.2-2.2) unstable; urgency=low

  * NMU.
  * Fix build problems (C++ standard conformance, mostly).
    Closes: 95886.
  * Rename the library .deb to ...c102 (C++ ABI migration).

 -- Matthias Urlichs <smurf@noris.de>  Thu, 17 Apr 2003 21:14:40 +0200

speech-tools (1:1.2.2-2.1) unstable; urgency=low

  * NMU.
  * Fix build problems (C++ standard conformance, mostly).
    Closes: #95886.
  * Rename the library to ...c102 (C++ ABI migration)

 -- Matthias Urlichs <smurf@smurf.noris.de>  Thu, 17 Apr 2003 03:01:07 +0200

speech-tools (1:1.2.2-2) unstable; urgency=low

  * Eek!  ESD support is kind of broken.  I've left it in, since I hope to
    fix it soon, but now the tools default to using a non-network audio
    protocol instead (which I think is more generally useful).

 -- David Huggins-Daines <dhd@debian.org>  Fri, 24 Aug 2001 11:44:25 -0400

speech-tools (1:1.2.2-1) unstable; urgency=low

  * New upstream version.
  * Removed a few bits of cruft from patches.  Lots of stuff got merged
    upstream, too.
  * Added build dependency on debhelper. (closes: #104999)
  * Finally use some sensible SONAMEs, and rearrange the package names
    accordingly (sorry folks)

 -- David Huggins-Daines <dhd@debian.org>  Thu, 23 Aug 2001 21:36:54 -0400

speech-tools (1:1.2.1-2) unstable; urgency=low

  * Urgh ... update the shlibs file; since we moved some templates from
    Festival in here, it needs to depend on this version or higher.

 -- David Huggins-Daines <dhd@debian.org>  Mon,  9 Apr 2001 15:18:06 -0400

speech-tools (1:1.2.1-1) unstable; urgency=low

  * Not using DBS anymore due to newfound knowledge of and influence over
    the EST/Festival configuration and build process.
  * Now installs configuration tree in /usr/lib/speech_tools/config/ where
    Festival (and other things like forthcoming Perl bindings, Festvox,
    etc) can find it.  (part of the justification for doing the above)
  * Should compile on everything now due to a more intelligent system.sh
    (backported from 1.2.2 beta)
  * Add basic manual pages for na_record, na_play, ch_wave, ch_utt
    (these should actually be auto-generated for all programs, but
    unfortunately the system only does SGML evil)
  * Header files moved to /usr/include/speech_tools/, which seems like a
    better location for them.
  * No longer compiled against NAS (adds too many extra library
    dependencies, and isn't generally useful).
  * Patched na_record to support an -audiodevice parameter (also from
    1.2.2 beta)
  * Actually include na_record in speech-tools-bin (duh!)
  * Instantiate some templates that Festival wants, to reduce the evil.
  * Apply serverdiphfdfix.patch and merge voxware.cc changes from
    http://festvox.org/packed/festival/1.4.1/PATCHES.

 -- David Huggins-Daines <dhd@debian.org>  Sat,  7 Apr 2001 12:27:06 -0400

festival (1.4.1-2.1) unstable; urgency=low

  * NMU
  * Set the "SYSTEM_TYPE" to "Linux" in
    debian/patches/speech_tools_config_config. (closes: #84496)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 16 Mar 2001 23:32:35 +0100

festival (1.4.1-2) unstable; urgency=low

  * Fix build on powerpc. Closes: #62133
  * Fix spew of compiler warnings when building.
  * Recompile to fix esound dependency issues (feh).
    Closes: #74592, #56193
  * Recompile to fix speech-tools dependency issues.
    Closes: #51630
  * Mark /etc/festival.scm as a conffile.  Closes: #52901
  * Include ESD patch from #62597.  Closes: #62597

 -- David Huggins-Daines <dhd@debian.org>  Wed,  8 Nov 2000 19:19:00 -0500

festival (1.4.1-1) unstable; urgency=low

  * Fixed m68k config file patch.  Really, really closes: #51614, I mean it.
  * New upstream (bugfix) version.  Now has esound support, included.

 -- David Huggins-Daines <dhd@debian.org>  Sat, 15 Jan 2000 01:14:31 -0500

festival (1.4.0-4) unstable; urgency=low

  * Added m68k config files (sigh).  Closes: #51614
  * Compile with -fPIC.  Closes: #51637

 -- David Huggins-Daines <dhd@debian.org>  Tue, 30 Nov 1999 10:47:38 -0500

festival (1.4.0-3) unstable; urgency=low

  * Use -l option to dh_shlibdeps.  Closes: #50602, #50600
  * Applied patch to sys-build.mak from Adam Heath.  Closes: #50327
  * Created a sparc_Linux2.2.mak.  Closes: #50472

 -- David Huggins-Daines <dhd@debian.org>  Sat, 27 Nov 1999 13:57:01 -0500

festival (1.4.0-2) unstable; urgency=low

  * Turns out the authors forgot to include a generic configuration file
    for Linux 2.2 on i386.
  * Fixed a foible in debian/rules that caused the *.so links to be
    created in the wrong package, yuck.

 -- David Huggins-Daines <dhd@debian.org>  Mon,  8 Nov 1999 23:35:27 -0500

festival (1.4.0-1) unstable; urgency=medium

  * New upstream version.  Is now free software.  Hooray.
  * Change in source format - festival and speech-tools now build from a
    single source package again, using Adam Heath's most excellent build
    system.  This allows me to eliminate many (but not all) of the nasty
    hacks previously needed to build this package.  An unfortunate side
    effect of this is that the version number of the debian package for
    speech-tools does not reflect the actual upstream numbering system.
    This is due to Festival and Speech-Tools having a build system that is
    designed with the intent that the packages will be built under the
    same directory together and installed in place.  As the authors state,
    this reflects the purpose of Festival as a research system.  It does,
    however, make life very difficult when trying to produce a
    distributable and policy-compliant Debian package.
  * Most of the documentation is in the festival-doc package now.  This is
    from the prebuilt festdoc package provided upstream, as it appears to
    be quite impossible to build the docs without a specially modified
    version of doc++ (boooooo)

 -- David Huggins-Daines <dhd@debian.org>  Sat,  6 Nov 1999 20:05:18 -0500

festival (1.3.1-4) unstable; urgency=low

  * Now installs festival.el properly.  Also, did s/stml/sable/g.  Run
    "say-minor-mode" to get a nice menu for reading your buffers.
  * Also builds info documentation (this creates a rather nasty source
    dependency on the voice packages, which I'll try to fix ASAP)
  * Also builds C++ API documentation in HTML.
  * Renamed ppc_Linux.mak to powerpc_Linux.mak (doh!)
  * Work around some RXP weirdness with respect to the location of the
    Sable DTD.  (a real fix will have to wait until a standalone RXP is
    packaged and we can link against it)

 -- David Huggins-Daines <dhd@debian.org>  Fri, 28 May 1999 00:15:49 -0400

festival (1.3.1-3) unstable; urgency=low

  * Cleaned out the Debian diff a bit
  * Added some .mak files that may or may not allow the package to
    build on non-i386 platforms.
  * Installing the Sable DTD with sgml-base now, so that it works
    automagically with Emacs, nsgmls, and the like.

 -- David Huggins-Daines <dhd@debian.org>  Tue,  4 May 1999 18:40:00 -0400

festival (1.3.1-2.1) unstable; urgency=low

  * Fixed it to compile with glibc 2.1.
  * Recompiled so it _works_ under glibc 2.1, without random crashes.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 26 Mar 1999 21:42:29 -0800

festival (1.3.1-2) unstable; urgency=low

  * Changed the name of ellpc16k to ellpc11k.
  * Recommend the kallpc* packages too.
  * Modified voices.scm so it will support the kal voice too.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 31 Jan 1999 19:47:30 -0800

festival (1.3.1-1) unstable; urgency=low

  * New upstream version.
  * Linked dynamically to new speech tools libraries.
  * Added festival-dev package (#32058).x

 -- Joey Hess <joeyh@master.debian.org>  Thu, 28 Jan 1999 22:12:22 -0800

festival (1.3.0-3) unstable; urgency=low

  * Include Sable.v0_2.dtd in the lib directory (#31304).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  5 Jan 1999 14:20:41 -0800

festival (1.3.0-2) unstable; urgency=low

  * Made short description not start with package name.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 13:40:35 -0700

festival (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright file.
  * Currently depends on xlib6, I think this is due to a bug in nas.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 15:57:21 -0700

festival (1.2.1-9) unstable; urgency=low

  * Corrected name of festvox-kdlpc16 in control file (#23886).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 25 Jun 1998 11:14:52 -0700

festival (1.2.1-8) unstable; urgency=low

  * Added nas support (#22359). Disabled by default, edit /etc/festival.scm
    to enable.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 13 May 1998 19:09:48 -0700

festival (1.2.1-7) unstable; urgency=low

  * Rebuilt linked to a version of speech-tools that supports linux16
    audio. However, it will continue to use 8 bit audio by default.
  * Added a /etc/festival.scm (equivialnt to siteinit.scm that may be
    referred to in festival's documentation) to make it easy to switch to
    16 bit sound (part of #22359).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 12 May 1998 12:44:17 -0700

festival (1.2.1-6) unstable; urgency=low

  * Removed old unused debian/config file.
  * Do not compress some examples that are executables.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 20:36:38 -0800

festival (1.2.1-5) unstable; urgency=low

  * Fixed package descrption spelling (#18973).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 17:03:48 -0800

festival (1.2.1-4) unstable; urgency=low

  * New standards-version.
  * Rebuilt with debhlper 0.60 to fix many mode 444 and 555 files.
  * Moved audsp to /usr/lib/festival/audsp, becuase it's an internal command
    I don't want to write a man page for.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:42:55 -0800

festival (1.2.1-3) unstable; urgency=low

  * Applied patch from author to fix segfault problem (#16188).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 23 Dec 1997 11:04:10 -0500

festival (1.2.1-2) unstable; urgency=low

  * token.cc: Applied patch to fix number pronounciation (#15919).
  * tts.scm: Fixed to call nsgmls, not nsgmls-1.0 (#15928).

 -- Joey Hess <joeyh@master.debian.org>  Sun, 14 Dec 1997 13:33:33 -0500

festival (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Split out speech-tools sources, so I could use pristine sources.
  * Use debhelper.
  * Fixed some examples files to work with modified festival paths.
  * examples/benchmark: default to reading /usr/doc/festival/README.
  * lib/voices.scm: added el_diphone to the voice search list, so
    festvox-ellpc16k will work.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 26 Oct 1997 23:34:42 -0500

festival (1.1.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 14 Jul 1997 23:29:25 -0400
